package com.bonus.common.biz.enums;

import lombok.Getter;

/**
 * 新购待入库 0
 * 在库	1
 * 在用	2
 * 退料检修	3
 * 检修待审核	4
 * 修试后待入库	5
 * 退料待报废	6
 * 维修待报废	7
 * 已报废审核	8
 * 退料待入库	9
 * 报废待审核 10
 */
@Getter
public enum MaMachineStatusEnum {
    NEW_PURCHASE(0, "新购待入库"),
    IN_STORE(1, "在库"),
    IN_USE(2, "在用"),
    BACK_REPAIR(3, "退料检修"),
    REPAIR_TO_AUDIT(4, "检修待审核"),
    REPAIR_TO_STORE(5, "修试后待入库"),
    BACK_TO_SCRAP(6, "退料待报废"),
    REPAIR_TO_SCRAP(7, "维修待报废"),
    SCRAP_AUDIT(8, "已报废审核"),
    BACK_TO_STORE(9, "退料待入库"),
    SCRAP_TO_AUDIT(10, "报废待审核");

    private final Integer status;
    private final String statusName;

    MaMachineStatusEnum(Integer status, String statusName) {
        this.status = status;
        this.statusName = statusName;
    }
}
